/* -------------------------- GÉNÉRAL -------------------------- */

:root {
  /* -- -- -- -- -- COLOR -- -- -- -- -- */
  --color-primary: #0e2254;
  --color-secondary: #dcdee7;
  /* --color-tertiary: #3C7B33; */

  --color-black: #0b0b0b;
  --color-white: #ffffff;
  --color-grey: #f7f7f7;

  /* -- -- -- -- -- FONT -- -- -- -- -- */
  --ffSBo: "JustSansBold", sans-serif;
  --ffSMe: "JustSansMedium", sans-serif;

  --ffMRe: "MuktaMaheeRegular", sans-serif;
  --ffMMe: "MuktaMaheeMedium", sans-serif;
  --ffMSeBo: "MuktaMaheeSemiBold", sans-serif;
}

html {
  overflow-x: hidden;
  scroll-behavior: smooth;
  accent-color: var(--color-primary);
}

body {
  font-size: 20px;
  background-color: var(--color-white);
  font-family: var(--ffMRe);
  overflow: hidden;
}

main {
  position: relative;
  z-index: 0;
}

html.menuOpen,
body.menuOpen {
  overflow-y: hidden;
}

@media (min-width: 993px) {
  .desktopDisplayNone {
    display: none !important;
  }
}

@media (max-width: 992px) {
  .mobileDisplayNone {
    display: none !important;
  }
}

/* ---------------- CONTAINER ---------------- */

.body > * {
  width: 100%;
  max-width: 1440px;
  margin-inline: auto;
  padding-inline: 30px;
}

@media (max-width: 992px) {
  .container {
    padding-inline: 30px;
  }
}

@media (width > 1499px) {
  .body > * {
    padding-inline: unset;
  }
}

/* ---------------- BOUTON ---------------- */

.btn {
  font-size: 1rem;
  line-height: 1.125rem;
  font-family: var(--ffMSeBo);
  padding: 12px 16px;
  outline: 0;
  width: fit-content;
  display: flex;
  align-items: center;
  gap: 10px;
  border: solid 1px var(--color-primary);
  background-color: var(--color-primary);
  color: var(--color-white);
  border-radius: 50px;

  transition: 300ms ease;
  text-decoration: none;
}
/* 
.btn::after {
  content: "";
  display: block;
  width: 19px;
  height: 12px;
  background-color: currentColor;
  -webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='19' height='12' viewBox='0 0 19 12'%3E%3Cpath d='M15.7534 5.56163L0.0273972 5.47944L0 6.71232H15.4794L11.1507 11.0411L12.1096 12L18.1096 6.02739L18.0822 5.99999L17.1507 5.06848L12.1096 0L11.1507 0.958902L15.7534 5.56163Z'/%3E%3C/svg%3E")
    center / contain no-repeat;
  mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='19' height='12' viewBox='0 0 19 12'%3E%3Cpath d='M15.7534 5.56163L0.0273972 5.47944L0 6.71232H15.4794L11.1507 11.0411L12.1096 12L18.1096 6.02739L18.0822 5.99999L17.1507 5.06848L12.1096 0L11.1507 0.958902L15.7534 5.56163Z'/%3E%3C/svg%3E")
    center / contain no-repeat;
  transition: 300ms ease;
  transform: translateX(0px);
} */

@media (pointer: fine) {
  .btn:hover {
    transition: 300ms ease;
    border: solid 1px var(--color-black);
    background-color: var(--color-black);
    color: var(--color-white);
  }
}

/* ----- PRIMARY ----- */

/* .btn--primary {
  border-color: var(--color-black);
  color: var(--color-black);
} */

/* ----- SECONDARY ----- */

.btn--secondary {
  border-color: var(--color-white);
  background-color: var(--color-white);
  color: var(--color-primary);
}

@media (pointer: fine) {
  .btn--secondary:hover {
    transition: 300ms ease;
    border: solid 1px #051434;
    background-color: #051434;
    color: var(--color-white);
  }
}

/* ----- TERTIARY ----- */

.btn--tertiary {
  border-color: var(--color-primary);
  background-color: var(--color-white);
  color: var(--color-primary);
}

@media (pointer: fine) {
  .btn--tertiary:hover {
    transition: 300ms ease;
    border: solid 1px var(--color-primary);
    background-color: var(--color-primary);
    color: var(--color-white);
  }
}

/* ---------------- PARAGRAPHE ---------------- */

.paragraphe {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.paragraphe,
.paragraphe * {
  color: var(--color-black);
  font-size: 20px;
  line-height: 27px;
}

.paragraphe ul {
  padding-left: 20px;
  list-style: disc;
}

.paragraphe ul li {
  margin-bottom: 10px;
}

@media (max-width: 1300px) {
  .paragraphe * {
    font-size: 16px;
    line-height: 22px;
  }
}

/* ---------------- IMAGE ---------------- */

img {
  width: 100%;
  max-width: 100%;
  height: auto;
  object-fit: cover;
}

/* ---------------- VIDEO ---------------- */

.video,
.video > iframe {
  width: 100%;
}

/* ---------------- BREADCRUMBS ---------------- */

.breadcrumbs li *,
.breadcrumbs {
  color: var(--color-primary);
  font-size: 13px;
  line-height: 20px;
}

.breadcrumbs li.active * {
  font-weight: bold;
}

nav:has(> .breadcrumb) {
  margin-top: 13px;
}

.breadcrumb li::after {
  content: "" !important;
  width: 5px;
  height: 9px;
  display: inline-block;
  margin-inline: 8px !important;
  background-repeat: no-repeat;
  background-position: center;
  background-image: url("data:image/svg+xml,%3Csvg id='next' xmlns='http://www.w3.org/2000/svg' width='4.566' height='8.455' viewBox='0 0 4.566 8.455'%3E%3Cg id='Groupe_7' data-name='Groupe 7' transform='translate(0 0)'%3E%3Cpath id='Tracé_19' data-name='Tracé 19' d='M4.47,4,.559.1A.328.328,0,0,0,.1.56L3.774,4.228.1,7.9a.328.328,0,0,0,.463.464L4.47,4.46A.328.328,0,0,0,4.47,4Z' transform='translate(0 0)' fill='%23000000'/%3E%3C/g%3E%3C/svg%3E%0A");
}

.breadcrumb span {
  font-family: var(--ffMRe);
  color: var(--color-black);
  font-size: 0.875rem;
  line-height: 100%;
}

/* ------------------ CONNEXION ------------------ */

.custom-password-form__message {
  font-size: 18px;
  line-height: 1.2em;
  margin-bottom: 20px;
}

.custom-password-form__field {
  display: flex;
  align-items: center;
  gap: 20px 30px;
  margin-bottom: 30px;
}

.custom-password-form__input {
  width: 400px;
  display: block;
  padding: 18px;
  border: 0px;
  border-bottom: solid 1px var(--color-grey) !important;
  border-radius: 0px;
  outline: none;
  resize: none;
  background: none !important;
}

.custom-password-form__input,
.custom-password-form__input::placeholder {
  color: var(--color-secondary);
  font-size: 18px;
  line-height: 22px;
}

.custom-password-form__submit {
  resize: none;
  background: none !important;
  font-size: 16px;
  line-height: 26px;
  padding: 11px 30px;
  border-radius: 30px;
  outline: 0;
  width: fit-content;
  display: flex;
  align-items: center;
  gap: 30px;
  border: none;
  position: relative;
  transition: 300ms ease;
  background-color: var(--color-secondary) !important;
  color: var(--color-white);
  border: none !important;
  cursor: pointer;
}

.custom-password-form__submit:hover {
  background-color: var(--color-primary) !important;
}

.custom-password-form__error {
  color: var(--wp--preset--color--vivid-red);
  font-size: 18px;
  line-height: 1.2em;
}

@media (max-width: 700px) {
  .custom-password-form__field {
    flex-direction: column;
  }
  .custom-password-form__input,
  .custom-password-form__submit {
    width: 100%;
    justify-content: center;
  }
}

/* ------------------ RECURRENTS ------------------ */

a,
a * {
  color: var(--color-black);
}

.title {
  font-size: 1.875rem;
  line-height: 120%;
  font-family: var(--ffSBo);
  text-transform: uppercase;
  color: var(--color-primary);
  margin-bottom: 18px;
}

.title--secondary {
  color: var(--color-primary);
}

/* .subtitle {
  font-size: 1.5rem;
  line-height: 100%;
  font-family: var(--ffSBo);
} */

.corps,
.corps * {
  font-size: 1rem;
  line-height: 1.125rem;
  font-family: var(--ffMRe);
}

.corps h2,
.corps h2 *,
.corps h3,
.corps h3 * {
  font-family: var(--ffSBo);
  font-size: 1.125rem;
  line-height: 1.375rem;
  margin-bottom: 16px;
}

.corps li {
  list-style: inside;
}

.corps strong {
  font-family: var(--ffSBo);
}

.corps img {
  max-width: 114px;
  max-height: 114px;
  object-fit: contain;
  margin-top: 18px;
  aspect-ratio: 109/114;
}

.tag {
  padding: 10px 16px;
  border-radius: 4px;
  border: 1px solid var(--color-greyLight);
  color: var(--color-black);
  font-family: var(--ffMRe);
  font-size: 0.8125rem;
  line-height: normal;
  width: fit-content;
  margin-bottom: 26px;
}

.name {
  font-family: var(--ffSBo);
  font-size: 1.625rem;
  line-height: 2rem;
  color: var(--color-primary);
  text-transform: uppercase;
}

.name--secondary {
  color: var(--color-primary);
}

.noclick > a {
  pointer-events: none !important;
}

.spawnDesktop {
  display: none;
}

.mask {
  overflow: hidden !important;
  height: fit-content;
}

.mask--footer {
  overflow: hidden !important;
  height: fit-content;
}

.bottombg {
  background-color: #fafafa;
  bottom: -10px;
  width: 100vw;
  height: 15px;
  position: fixed;
  display: block;
}

input[type="checkbox"] {
  aspect-ratio: 1/1;
  width: 24px;
  height: 24px;
  border-radius: 4px;
  border: 1px solid #d4d4d4;
  background-color: #f4f4f4;
  margin: unset;
}

@media (width > 767px) {
  .spawnDesktop {
    display: contents;
  }
}

@media (width > 991px) {
  .title {
    font-size: 2.5rem;
    line-height: 3rem;
    margin-bottom: 24px;
  }

  .name {
    font-size: 2.25rem;
    line-height: 2.5rem;
  }

  .mask > * {
    transform: translate(0%, -350%);
    transition: 0.35s ease all;
  }

  .mask.active > * {
    transform: translate(0%, 0%);
    transition: 0.35s ease all;
  }

  .mask--footer > * {
    transform: translate(0%, -350%);
    transition: 0.35s ease all;
  }

  .mask--footer.active > * {
    transform: translate(0%, 0%);
    transition: 0.35s ease all;
  }

  .bottombg {
    display: none;
  }
}
